svn commit: samba r6549 - in branches/SAMBA_4_0/source/script/tests: .

tridge at samba.org tridge at samba.org
Sun May 1 09:58:28 GMT 2005


Author: tridge
Date: 2005-05-01 09:58:27 +0000 (Sun, 01 May 2005)
New Revision: 6549

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=6549

Log:
a simple ldap test script

Added:
   branches/SAMBA_4_0/source/script/tests/test_ldap.sh


Changeset:
Added: branches/SAMBA_4_0/source/script/tests/test_ldap.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_ldap.sh	2005-05-01 09:30:18 UTC (rev 6548)
+++ branches/SAMBA_4_0/source/script/tests/test_ldap.sh	2005-05-01 09:58:27 UTC (rev 6549)
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+SERVER="$1"
+
+# test some simple LDAP operations
+
+echo "Testing RootDSE"
+ldbsearch -b '' -H ldap://$SERVER -s base DUMMY=x dnsHostName highestCommittedUSN || exit 1
+
+echo "Getting defaultNamingContext"
+BASEDN=`ldbsearch -b '' -H ldap://$SERVER -s base DUMMY=x defaultNamingContext | grep ^defaultNamingContext | awk '{print $2}'`
+echo "BASEDN is $BASEDN"
+
+
+echo "Listing Users"
+ldbsearch -H ldap://$SERVER -b "$BASEDN" '(objectclass=user)' sAMAccountName
+
+echo "Listing Groups"
+ldbsearch -H ldap://$SERVER -b "$BASEDN" '(objectclass=group)' sAMAccountName
+


Property changes on: branches/SAMBA_4_0/source/script/tests/test_ldap.sh
___________________________________________________________________
Name: svn:executable
   + *



More information about the samba-cvs mailing list